local ui = flsys.ui

function ui:InitializeOptions()
  -- import/add
  FLImportData.TitleText:SetText('Import data')
  FLAddPlayer.TitleText:SetText('Add player')
  FLAddPlayer:SetScale(0.8)
  FLAddPlayerEP:SetNumeric(enable)
  FLAddPlayerGP:SetNumeric(enable)
  FLAddPlayerEP:SetNumber(0)
  FLAddPlayerGP:SetNumber(0)
  FLAddPlayerGP:SetScript("OnEnterPressed", function()
    flsys.ui:AddPlayerEntered(true)
  end)
  FLAddPlayerMore:SetScript("OnClick", function()
    flsys.ui:AddPlayerEntered(true)
  end)
  FLAddPlayerDone:SetScript("OnClick", function()
    flsys.ui:AddPlayerEntered(false)
  end)
  FLImportData:SetScale(.8)
end

function ui:ShowAddPlayer()
  InterfaceOptionsFrame:Hide()
  FLAddPlayer:Show()
end

function ui:ShowImport()
  InterfaceOptionsFrame:Hide()
  FLImportDataData:SetText('')
  FLImportData:Show()
end

